export default useComponentInstalled;
declare function useComponentInstalled({ did, onInstalled, onError }: {
    did: any;
    onInstalled: any;
    onError: any;
}): {
    optComponents: any;
    installed: any;
    installStatus: {};
    setInstallStatus: import('react').Dispatch<import('react').SetStateAction<{}>>;
    definedInBlockletYML: any;
};
